Subject: [TR] Commission Plate Rivets

From: Brian Thomas <[email-masked]>
Date: Sat, 20 Jun 2020 15:35:05 +0000

Hi,

I'm looking to replicate the 4 rivets used to mount the commission plate on my TR2.  

Pop rivets I am familiar with have a hollow center when the rivet is installed.  The ones used to hold the plate leaves a metal cap in this opening.  

Has anyone had success finding this type of rivet?  

FYI, Rimmers shows "713531 - Pop Rivet - Closed End Type - 1/8 inch x 1/4 inch" for this application and TRF subs 554407 for this.  As 554407 is also used to hold down the chrome capping on the top of a TR4A windshield (which I have), I had a look and the rivets used there are also hollow ...

Cheers,

Brian
_____________________________________________________
Brian Thomas                             E-Mail:  [email-masked]
92 Wyona Lane                          Phone:  613-385-1947
Wolfe Island,  Ontario                  Toys:  54 TR2,  56 TR3,  67 TR4A,  
Canada  K0H 2Y0                                       01 XKR,  75 John Deere 920

** [email-masked] **

Donate: http://www.team.net/donate.html
Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive

Unsubscribe/Manage: http://autox.team.net/mailman/options/triumphs/[email-masked]